<?php 

include_once('../conexao.php');

$postjson = json_decode(file_get_contents('php://input'), true);

$id_usu = @$_GET['user'];


$query = $pdo->query("SELECT * FROM usuarios where id = '$id_usu'");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$nivel = $res[0]['nivel'];
if($nivel == 'Corretor'){
    $usuario_busca = '%'.$id_usu.'%';
}else{
    $usuario_busca = '%%';
}

$total_imoveis = 0;
$totalTarefasHoje = 0;
$totalTarefasConcluidasHoje = 0;
$porcentagemTarefas = 0;
$contasReceberVencidas = 0;
$contasPagarVencidas = 0;
$contasReceberHoje = 0;
$contasPagarHoje = 0;



$query = $pdo->query("SELECT * FROM tarefas where data = curDate() and usuario = '$id_usu'");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$totalTarefasHoje = @count($res);

$query = $pdo->query("SELECT * FROM tarefas where data = curDate() and usuario = '$id_usu' and status = 'Concluída'");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$totalTarefasConcluidasHoje = @count($res);

if($totalTarefasConcluidasHoje > 0 and $totalTarefasHoje > 0){
	$porcentagemTarefas = ($totalTarefasConcluidasHoje / $totalTarefasHoje) * 100;
}

$porcentagemTarefasF = number_format($porcentagemTarefas, 0, '.', '');


$query = $pdo->query("SELECT * FROM imoveis where corretor LIKE '$usuario_busca'");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$total_imoveis = @count($res);



$query = $pdo->query("SELECT * FROM pagar where data_venc < curDate() and pago != 'Sim' and usuario_lanc LIKE '$usuario_busca'");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$contasPagarVencidas = @count($res);

$query = $pdo->query("SELECT * FROM receber where data_venc < curDate() and pago != 'Sim' and usuario_lanc LIKE '$usuario_busca'");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$contasReceberVencidas = @count($res);


$query = $pdo->query("SELECT * FROM pagar where data_venc = curDate() and pago != 'Sim' and usuario_lanc LIKE '$usuario_busca'");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$contasPagarHoje = @count($res);

$query = $pdo->query("SELECT * FROM receber where data_venc = curDate() and pago != 'Sim' and usuario_lanc LIKE '$usuario_busca'");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$contasReceberHoje = @count($res);



$result = json_encode(array('success'=>true, 
    'total_imoveis'=>$total_imoveis,
    'contas_pagar_vencidas'=>$contasPagarVencidas,
    'contas_receber_vencidas'=>$contasReceberVencidas,
    'pagar_hoje'=>$contasPagarHoje,
    'receber_hoje'=>$contasReceberHoje,
    'tarefas_hoje'=>$totalTarefasHoje,
    'tarefas_concluidas'=>$totalTarefasConcluidasHoje,
    'porcentagem_tarefas'=>$porcentagemTarefasF,
        
));

echo $result;

?>
